Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 599464 - sys-kernel/gentoo-sources - megaraid_sas driver broken
Summary: sys-kernel/gentoo-sources - megaraid_sas driver broken
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Kernel Bug Wranglers and Kernel Maintainers
URL: http://marc.info/?l=linux-scsi&m=1478...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-11 13:15 UTC by Thomas Deutschmann
Modified: 2016-11-26 17:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2016-11-11 13:15:57 UTC
Warning: There's an upcoming patch which will be part of any stable kernel (already released in linux-4.4.31) which will break most devices using the megaraid_sas drivers. The bad commit is:

> scsi: megaraid_sas: Fix data integrity failure for JBOD (passthrough) devices
> 
> Commit 02b01e010afe ("megaraid_sas: return sync cache call with
> success") modified the driver to successfully complete SYNCHRONIZE_CACHE
> commands without passing them to the controller. Disk drive caches are
> only explicitly managed by controller firmware when operating in RAID
> mode. So this commit effectively disabled writeback cache flushing for
> any drives used in JBOD mode, leading to data integrity failures.
> 
> [mkp: clarified patch description]
> 
> Fixes: 02b01e010afeeb49328d35650d70721d2ca3fd59

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=1e793f6fc0db920400574211c48f9157a37e3945

Once you boot a kernel containing this patch you RAID adapter won't see any disks/volumes anymore.

Downgrading the kernel solves the problem. Or you can apply the patch from $URL to solve the problem.
Comment 2 Alice Ferrazzi Gentoo Infrastructure gentoo-dev 2016-11-18 17:18:23 UTC
can you confirm is fixed in that version ?
Comment 3 Thomas Deutschmann gentoo-dev Security 2016-11-18 18:22:53 UTC
Well, only the 4.4.x LTS branch was affected.

The bad commit didn't appear in any other branches.


4.4.x was fixed with =sys-kernel/gentoo-sources-4.4.32 which contains ae94da4c53b77058241fd3551f55cd40327be37d.

4.8.x which was never affected carries both commits (the bad one, 32f60e9b621fff93433fe398cedde009f184c63e and the fix, 8ed841d6c045c31c3309b70395b920cb707537d4) in 4.8.7.


So if we make sure that =sys-kernel/gentoo-sources-4.4.31 never goes stable (probably apply a pmask) we can close this bug as resolved.
Comment 4 Mike Pagano gentoo-dev 2016-11-26 17:30:39 UTC
I just removed the affected version so I'm closing this one.